summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/tcf-agent
diff options
context:
space:
mode:
authorChong Lu <Chong.Lu@windriver.com>2013-12-10 16:58:01 +0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2013-12-10 17:42:43 +0000
commit511997535fbaa2976b85d8f2fa8607027e276148 (patch)
tree3ccc0c05b2620c12c88e190dbd8bc22a97036a6c /meta/recipes-devtools/tcf-agent
parent2b428f455db79de95a3a13bd3a5ac6b9bcbbfb96 (diff)
downloadpoky-511997535fbaa2976b85d8f2fa8607027e276148.tar.gz
meta/*: remove unnecessary patches
The following patches are found, but not used by any recipe, so we should remove them. meta/recipes-connectivity/avahi/files/fix_for_automake_1.11.2.patch meta/recipes-connectivity/dhcp/dhcp/fix-client-path.patch meta/recipes-connectivity/libnss-mdns/files/alignment-fix.patch meta/recipes-core/dbus/dbus-1.6.10/test-run-path.patch meta/recipes-core/gettext/gettext-0.16.1/fixchicken.patch meta/recipes-core/gettext/gettext-0.16.1/getline.m4.patch meta/recipes-core/systemd/systemd/use-rootlibdir.patch meta/recipes-core/util-linux/util-linux/remove-lscpu.patch meta/recipes-core/util-linux/util-linux/remove_sigsetmark.patch meta/recipes-core/util-linux/util-linux/uclibc-compile.patch meta/recipes-devtools/autoconf/autoconf/autoconf-x.patch meta/recipes-devtools/btrfs-tools/btrfs-tools/btrfs-progs-fix-parallel-build.patch meta/recipes-devtools/btrfs-tools/btrfs-tools/btrfs-progs-fix-parallel-build2.patch meta/recipes-devtools/cdrtools/cdrtools-native/no_usr_src.patch meta/recipes-devtools/elfutils/elfutils-0.155/elfutils-robustify.patch meta/recipes-devtools/gdb/gdb/libiberty-cross.patch meta/recipes-devtools/perl/perl-5.14.3/asm-pageh-fix.patch meta/recipes-devtools/python/python-native/sys_platform_is_now_always_linux2.patch meta/recipes-devtools/python/python-pygobject/generate-constants.patch meta/recipes-devtools/qemu/files/3f08ffb4a4741d147634761dc053ed386243a0de.patch meta/recipes-devtools/qemu/files/enable-i386-linux-user.patch meta/recipes-devtools/qemu/files/init-info.patch meta/recipes-devtools/rpm/rpm/rpm_fix_for_automake-1.12.patch meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch meta/recipes-extended/iputils/files/arping-break-libsysfs-dependency.patch meta/recipes-extended/libarchive/libarchive/0003-Patch-from-upstream-rev-2516.patch meta/recipes-extended/procps/procps-3.2.8/pagesz-not-constant.patch meta/recipes-gnome/gtk+/gtk+-2.24.22/no-demos.patch meta/recipes-gnome/libglade/libglade-2.6.4/no-deprecation.patch meta/recipes-graphics/mesa/mesa/0005-llvmpipe-remove-the-power-of-two-sizeof-struct-cmd_b.patch meta/recipes-graphics/xorg-lib/libxxf86dga/libxxf86dga-1.1.3_fix_for_x32.patch meta/recipes-kernel/kmod/kmod/fix-undefined-O_CLOEXEC.patch meta/recipes-kernel/linux-libc-headers/linux-libc-headers/connector-msg-size-fix.patch meta/recipes-kernel/linux/linux-yocto/tools-perf-no-scripting.patch meta/recipes-support/gnutls/gnutls/gnutls-texinfo-euro.patch meta/recipes-support/nspr/nspr/fix-build-on-aarch64.patch [YOCTO #5180] (From OE-Core rev: e5d81f757de4bd1bfd37a96300edd50b77b0d21c) Signed-off-by: Chong Lu <Chong.Lu@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-devtools/tcf-agent')
-rw-r--r--meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch96
1 files changed, 0 insertions, 96 deletions
diff --git a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch b/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
deleted file mode 100644
index 8ea5b43d53..0000000000
--- a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
+++ /dev/null
@@ -1,96 +0,0 @@
1Upstream-Status: Inappropriate [poky-specific script]
2
3--- a/Makefile
4+++ b/Makefile
5@@ -64,7 +64,7 @@
6 install -d -m 755 $(INSTALLROOT)$(INCLUDE)/tcf/services
7 install -c $(BINDIR)/agent -m 755 $(INSTALLROOT)$(SBIN)/tcf-agent
8 install -c $(BINDIR)/client -m 755 $(INSTALLROOT)$(SBIN)/tcf-client
9- install -c main/tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent
10+ install -c tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent
11 install -c config.h -m 755 $(INSTALLROOT)$(INCLUDE)/tcf/config.h
12 install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/framework -m 644 framework/*.h
13 install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/services -m 644 services/*.h
14--- /dev/null
15+++ b/tcf-agent.init
16@@ -0,0 +1,80 @@
17+#!/bin/sh
18+### BEGIN INIT INFO
19+# Provides: tcf-agent
20+# Default-Start: 3 5
21+# Default-Stop: 0 1 2 6
22+# Short-Description: Target Communication Framework agent
23+### END INIT INFO
24+
25+DAEMON_PATH=/usr/sbin/tcf-agent
26+DAEMON_NAME=`basename $DAEMON_PATH`
27+
28+. /etc/init.d/functions
29+
30+test -x $DAEMON_PATH || exit 0
31+
32+PATH=/sbin:/usr/sbin:/bin:/usr/bin
33+export PATH
34+
35+RETVAL=0
36+
37+case "$1" in
38+ start)
39+ echo -n "Starting $DAEMON_NAME: "
40+ $DAEMON_PATH -d -L- -l0
41+ RETVAL=$?
42+ if [ $RETVAL -eq 0 ] ; then
43+ echo "OK"
44+ touch /var/lock/subsys/$DAEMON_NAME
45+ else
46+ echo "FAIL"
47+ fi
48+ ;;
49+
50+ stop)
51+ echo -n "Stopping $DAEMON_NAME: "
52+ count=0
53+ pid=$(/bin/pidof $DAEMON_PATH)
54+ while [ -n "`/bin/pidof $DAEMON_PATH`" -a $count -lt 10 ] ; do
55+ kill $pid > /dev/null 2>&1
56+ sleep 1
57+ RETVAL=$?
58+ if [ $RETVAL != 0 -o -n "`/bin/pidof $DAEMON_PATH`" ] ; then
59+ sleep 3
60+ fi
61+ count=`expr $count + 1`
62+ pid=$(/bin/pidof $DAEMON_PATH)
63+ done
64+ rm -f /var/lock/subsys/$DAEMON_NAME
65+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
66+ echo "FAIL"
67+ else
68+ echo "OK"
69+ fi
70+ ;;
71+
72+ restart)
73+ $0 stop
74+ sleep 1
75+ $0 start
76+ ;;
77+
78+ status)
79+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
80+ echo "$DAEMON_NAME is running"
81+ else
82+ echo "$DAEMON_NAME is not running"
83+ fi
84+ ;;
85+
86+ condrestart)
87+ [ -f /var/lock/subsys/$DAEMON_NAME ] && $0 restart
88+ ;;
89+
90+ *)
91+ echo "usage: $0 { start | stop | restart | condrestart | status }"
92+ ;;
93+esac
94+
95+exit $RETVAL
96+